Bug 814376 - Fedora 17 invalid opcode under Xen, boot fails
Fedora 17 invalid opcode under Xen, boot fails
Status: CLOSED DUPLICATE of bug 801650
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 13:49 EDT by Ferris Draugh
Modified: 2016-11-24 10:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 16:09:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferris Draugh 2012-04-19 13:49:40 EDT
Can not boot Fedora 17 BETA as Xen DomU.  The init process fails with an invalid opcode in libc-2.15.so; this problem is similar to Bug 801650


Version-Release number of selected component (if applicable):
Fedora 17 BETA
glibc-2.15-32.fc17.x86_64
kernel-debug-3.3.2-1.fc17.x86_64
kernel-3.3.2-1.fc17.x86_64


How reproducible:
Attempt to boot Fedora 17 as a PV domU using the regular fedora kernel (see version above).  Using Xen 4 on the dom0; disk image booted with xm create 

Actual results:
Boot messages from debug kernel pasted here:
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.3.2-1.fc17.x86_64.debug (mockbuild@x86-01.phx2.fedoraproject.org) (gcc version 4.7.0 20120322 (Red Hat 4.7.0-1) (GCC) ) #1 SMP Fri Apr 13 19:59:56 UTC 2012
[    0.000000] Command line: console=hvc0 root=/dev/xvda ro root=/dev/xvda fastboot
[    0.000000] Disabled fast string operations
[    0.000000] ACPI in unprivileged domain disabled
[    0.000000] Released 0 pages of unused memory
[    0.000000] Set 0 page(s) to 1-1 mapping
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  Xen: 0000000000000000 - 00000000000a0000 (usable)
[    0.000000]  Xen: 00000000000a0000 - 0000000000100000 (reserved)
[    0.000000]  Xen: 0000000000100000 - 0000000020800000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] DMI not present or invalid.
[    0.000000] No AGP bridge found
[    0.000000] last_pfn = 0x20800 max_arch_pfn = 0x400000000
[    0.000000] init_memory_mapping: 0000000000000000-0000000020800000
[    0.000000] RAMDISK: 02ffd000 - 04c65000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at 0000000000000000-0000000020800000
[    0.000000] Initmem setup node 0 0000000000000000-0000000020800000
[    0.000000]   NODE_DATA [000000001ffeb000 - 000000001fffffff]
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   DMA32    0x00001000 -> 0x00100000
[    0.000000]   Normal   empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000010 -> 0x000000a0
[    0.000000]     0: 0x00000100 -> 0x00020800
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] No local APIC present
[    0.000000] APIC: disable apic facility
[    0.000000] APIC: switched to apic NOOP
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 20800000 (gap: 20800000:df800000)
[    0.000000] Booting paravirtualized kernel on Xen
[    0.000000] Xen version: 4.1.1 (preserve-AD)
[    0.000000] setup_percpu: NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 476 pages/cpu @ffff88001fdfc000 s1920576 r8192 d20928 u1949696
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 130923
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: console=hvc0 root=/dev/xvda ro root=/dev/xvda fastboot
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Memory: 451708k/532480k available (6817k kernel code, 448k absent, 80324k reserved, 6449k data, 3000k init)
[    0.000000] SLUB: Genslabs=15, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] NR_IRQS:4352 nr_irqs:256 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] console [hvc0] enabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] allocated 2621440 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.000000] installing Xen timer for CPU 0
[    0.000000] Detected 2294.874 MHz processor.
[    0.000999] Calibrating delay loop (skipped), value calculated using timer frequency.. 4589.74 BogoMIPS (lpj=2294874)
[    0.000999] pid_max: default: 32768 minimum: 301
[    0.000999] Security Framework initialized
[    0.000999] SELinux:  Initializing.
[    0.002518] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.003069] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.003365] Mount-cache hash table entries: 256
[    0.008656] Initializing cgroup subsys cpuacct
[    0.008686] Initializing cgroup subsys memory
[    0.008999] Initializing cgroup subsys devices
[    0.009025] Initializing cgroup subsys freezer
[    0.009049] Initializing cgroup subsys net_cls
[    0.009073] Initializing cgroup subsys blkio
[    0.009295] Initializing cgroup subsys perf_event
[    0.009999] Disabled fast string operations
[    0.010022] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.010025] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.010054] CPU: Physical Processor ID: 0
[    0.010065] CPU: Processor Core ID: 0
[    0.010250] SMP alternatives: switching to UP code
[    0.012029] Freeing SMP alternatives: 20k freed
[    0.012058] ftrace: allocating 22777 entries in 89 pages
[    0.017466] Performance Events: unsupported p6 CPU model 42 no PMU driver, software events only.
[    0.018344] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.018459] Brought up 1 CPUs
[    0.020049] devtmpfs: initialized
[    0.022528] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.022659] Grant tables using version 2 layout.
[    0.022722] Grant table initialized
[    0.041608] RTC time: 165:165:165, date: 165/165/65
[    0.042016] NET: Registered protocol family 16
[    0.044841] ------------[ cut here ]------------
[    0.044845] ------------[ cut here ]------------
[    0.044852] WARNING: at include/linux/rcupdate.h:242 __atomic_notifier_call_chain+0xf1/0x130()
[    0.044854] Modules linked in:
[    0.044857] Pid: 0, comm: swapper/0 Not tainted 3.3.2-1.fc17.x86_64.debug #1
[    0.044858] Call Trace:
[    0.044860]  <IRQ>  [<ffffffff81060caf>] warn_slowpath_common+0x7f/0xc0
[    0.044867]  [<ffffffff81060d0a>] warn_slowpath_null+0x1a/0x20
[    0.044869]  [<ffffffff8169fea1>] __atomic_notifier_call_chain+0xf1/0x130
[    0.044872]  [<ffffffff8169fef6>] atomic_notifier_call_chain+0x16/0x20
[    0.044876]  [<ffffffff813e5819>] notify_write+0x29/0x30
[    0.044879]  [<ffffffff813e66bb>] vt_console_print+0x1ab/0x3c0
[    0.044882]  [<ffffffff81060e6d>] __call_console_drivers+0x8d/0xb0
[    0.044884]  [<ffffffff810610c9>] _call_console_drivers+0x49/0x70
[    0.044887]  [<ffffffff810614b4>] console_unlock+0x114/0x290
[    0.044890]  [<ffffffff81061be2>] vprintk+0x482/0x600
[    0.044893]  [<ffffffff8100f349>] ? xen_clocksource_read+0x39/0x50
[    0.044896]  [<ffffffff8169fea1>] ? __atomic_notifier_call_chain+0xf1/0x130
[    0.044899]  [<ffffffff8168f191>] printk+0x51/0x53
[    0.044903]  [<ffffffff810cce8f>] ? trace_softirqs_on+0x9f/0xe0
[    0.044906]  [<ffffffff8169fea1>] ? __atomic_notifier_call_chain+0xf1/0x130
[    0.044908]  [<ffffffff81060c6e>] warn_slowpath_common+0x3e/0xc0
[    0.044911]  [<ffffffff81060d0a>] warn_slowpath_null+0x1a/0x20
[    0.044913]  [<ffffffff8169fea1>] __atomic_notifier_call_chain+0xf1/0x130
[    0.044916]  [<ffffffff810c67b7>] ? trace_hardirqs_off_caller+0x67/0xb0
[    0.044919]  [<ffffffff8169fef6>] atomic_notifier_call_chain+0x16/0x20
[    0.044922]  [<ffffffff81018153>] exit_idle+0x43/0x50
[    0.044933]  [<ffffffff813c5d65>] xen_evtchn_do_upcall+0x25/0x50
[    0.044936]  [<ffffffff816a5b7e>] xen_do_hypervisor_callback+0x1e/0x30
[    0.044938]  <EOI>  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044943]  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044945]  [<ffffffff8100ef30>] ? xen_safe_halt+0x10/0x20
[    0.044948]  [<ffffffff81021eb4>] ? default_idle+0x54/0x4d0
[    0.044950]  [<ffffffff81018266>] ? cpu_idle+0x106/0x140
[    0.044954]  [<ffffffff816759df>] ? rest_init+0x133/0x144
[    0.044956]  [<ffffffff81675925>] ? rest_init+0x79/0x144
[    0.044959]  [<ffffffff81ecbc37>] ? start_kernel+0x3f1/0x3fc
[    0.044962]  [<ffffffff81ecb346>] ? x86_64_start_reservations+0x131/0x135
[    0.044964]  [<ffffffff81ece16e>] ? xen_start_kernel+0x579/0x580
[    0.044968] ---[ end trace 6d450e935ee1897c ]---
[    0.044969] ------------[ cut here ]------------
[    0.044971] WARNING: at include/linux/rcupdate.h:248 __atomic_notifier_call_chain+0x117/0x130()
[    0.044972] Modules linked in:
[    0.044974] Pid: 0, comm: swapper/0 Tainted: G        W    3.3.2-1.fc17.x86_64.debug #1
[    0.044975] Call Trace:
[    0.044976]  <IRQ>  [<ffffffff81060caf>] warn_slowpath_common+0x7f/0xc0
[    0.044980]  [<ffffffff81060d0a>] warn_slowpath_null+0x1a/0x20
[    0.044983]  [<ffffffff8169fec7>] __atomic_notifier_call_chain+0x117/0x130
[    0.044985]  [<ffffffff8169fdfd>] ? __atomic_notifier_call_chain+0x4d/0x130
[    0.044987]  [<ffffffff8169fef6>] atomic_notifier_call_chain+0x16/0x20
[    0.044990]  [<ffffffff813e5819>] notify_write+0x29/0x30
[    0.044992]  [<ffffffff813e66bb>] vt_console_print+0x1ab/0x3c0
[    0.044995]  [<ffffffff81060e6d>] __call_console_drivers+0x8d/0xb0
[    0.044996]  [<ffffffff810610c9>] _call_console_drivers+0x49/0x70
[    0.044996]  [<ffffffff810614b4>] console_unlock+0x114/0x290
[    0.044996]  [<ffffffff81061be2>] vprintk+0x482/0x600
[    0.044996]  [<ffffffff8100f349>] ? xen_clocksource_read+0x39/0x50
[    0.044996]  [<ffffffff8169fea1>] ? __atomic_notifier_call_chain+0xf1/0x130
[    0.044996]  [<ffffffff8168f191>] printk+0x51/0x53
[    0.044996]  [<ffffffff810cce8f>] ? trace_softirqs_on+0x9f/0xe0
[    0.044996]  [<ffffffff8169fea1>] ? __atomic_notifier_call_chain+0xf1/0x130
[    0.044996]  [<ffffffff81060c6e>] warn_slowpath_common+0x3e/0xc0
[    0.044996]  [<ffffffff81060d0a>] warn_slowpath_null+0x1a/0x20
[    0.044996]  [<ffffffff8169fea1>] __atomic_notifier_call_chain+0xf1/0x130
[    0.044996]  [<ffffffff810c67b7>] ? trace_hardirqs_off_caller+0x67/0xb0
[    0.044996]  [<ffffffff8169fef6>] atomic_notifier_call_chain+0x16/0x20
[    0.044996]  [<ffffffff81018153>] exit_idle+0x43/0x50
[    0.044996]  [<ffffffff813c5d65>] xen_evtchn_do_upcall+0x25/0x50
[    0.044996]  [<ffffffff816a5b7e>] xen_do_hypervisor_callback+0x1e/0x30
[    0.044996]  <EOI>  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044996]  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044996]  [<ffffffff8100ef30>] ? xen_safe_halt+0x10/0x20
[    0.044996]  [<ffffffff81021eb4>] ? default_idle+0x54/0x4d0
[    0.044996]  [<ffffffff81018266>] ? cpu_idle+0x106/0x140
[    0.044996]  [<ffffffff816759df>] ? rest_init+0x133/0x144
[    0.044996]  [<ffffffff81675925>] ? rest_init+0x79/0x144
[    0.044996]  [<ffffffff81ecbc37>] ? start_kernel+0x3f1/0x3fc
[    0.044996]  [<ffffffff81ecb346>] ? x86_64_start_reservations+0x131/0x135
[    0.044996]  [<ffffffff81ece16e>] ? xen_start_kernel+0x579/0x580
[    0.044996] ---[ end trace 6d450e935ee1897d ]---
[    0.044996] WARNING: at include/linux/rcupdate.h:242 __atomic_notifier_call_chain+0xf1/0x130()
[    0.044996] Modules linked in:
[    0.044996] Pid: 0, comm: swapper/0 Tainted: G        W    3.3.2-1.fc17.x86_64.debug #1
[    0.044996] Call Trace:
[    0.044996]  <IRQ>  [<ffffffff81060caf>] warn_slowpath_common+0x7f/0xc0
[    0.044996]  [<ffffffff81060d0a>] warn_slowpath_null+0x1a/0x20
[    0.044996]  [<ffffffff8169fea1>] __atomic_notifier_call_chain+0xf1/0x130
[    0.044996]  [<ffffffff810c67b7>] ? trace_hardirqs_off_caller+0x67/0xb0
[    0.044996]  [<ffffffff8169fef6>] atomic_notifier_call_chain+0x16/0x20
[    0.044996]  [<ffffffff81018153>] exit_idle+0x43/0x50
[    0.044996]  [<ffffffff813c5d65>] xen_evtchn_do_upcall+0x25/0x50
[    0.044996]  [<ffffffff816a5b7e>] xen_do_hypervisor_callback+0x1e/0x30
[    0.044996]  <EOI>  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044996]  [<ffffffff810013aa>] ? hypercall_page+0x3aa/0x1000
[    0.044996]  [<ffffffff8100ef30>] ? xen_safe_halt+0x10/0x20
[    0.044996]  [<ffffffff81021eb4>] ? default_idle+0x54/0x4d0
[    0.044996]  [<ffffffff81018266>] ? cpu_idle+0x106/0x140
[    0.044996]  [<ffffffff816759df>] ? rest_init+0x133/0x144
[    0.044996]  [<ffffffff81675925>] ? rest_init+0x79/0x144
[    0.044996]  [<ffffffff81ecbc37>] ? start_kernel+0x3f1/0x3fc
[    0.044996]  [<ffffffff81ecb346>] ? x86_64_start_reservations+0x131/0x135
[    0.044996]  [<ffffffff81ece16e>] ? xen_start_kernel+0x579/0x580
[    0.044996] ---[ end trace 6d450e935ee1897e ]---
[    0.045996] PCI: setting up Xen PCI frontend stub
[    0.057934] bio: create slab <bio-0> at 0
[    0.058436] ACPI: Interpreter disabled.
[    0.058650] xen/balloon: Initialising balloon driver.
[    0.061298] xen-balloon: Initialising balloon driver.
[    0.063194] vgaarb: loaded
[    0.064460] SCSI subsystem initialized
[    0.065143] usbcore: registered new interface driver usbfs
[    0.065280] usbcore: registered new interface driver hub
[    0.065555] usbcore: registered new device driver usb
[    0.066128] PCI: System does not support PCI
[    0.066134] PCI: System does not support PCI
[    0.067240] NetLabel: Initializing
[    0.067246] NetLabel:  domain hash size = 128
[    0.067251] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.067406] NetLabel:  unlabeled traffic allowed by default
[    0.067511] Switching to clocksource xen
[    0.219672] pnp: PnP ACPI: disabled
[    0.264143] NET: Registered protocol family 2
[    0.265587] IP route cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.271737] TCP established hash table entries: 16384 (order: 6, 262144 bytes)
[    0.273178] TCP bind hash table entries: 16384 (order: 8, 1310720 bytes)
[    0.275039] TCP: Hash tables configured (established 16384 bind 16384)
[    0.275059] TCP reno registered
[    0.275130] UDP hash table entries: 256 (order: 3, 49152 bytes)
[    0.275228] UDP-Lite hash table entries: 256 (order: 3, 49152 bytes)
[    0.275816] NET: Registered protocol family 1
[    0.276499] Unpacking initramfs...
[    0.464055] Freeing initrd memory: 29088k freed
[    0.603962] DMA-API: preallocated 32768 debug entries
[    0.603984] DMA-API: debugging enabled by kernel config
[    0.604344] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.606225] Intel AES-NI instructions are not detected.
[    0.607748] audit: initializing netlink socket (disabled)
[    0.607866] type=2000 audit(1334852548.036:1): initialized
[    0.622738] cryptomgr_test used greatest stack depth: 6120 bytes left
[    0.624442] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.658822] VFS: Disk quotas dquot_6.5.2
[    0.659318] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.665604] msgmni has been set to 939
[    0.668891] cryptomgr_test used greatest stack depth: 5496 bytes left
[    0.669947] cryptomgr_test used greatest stack depth: 5352 bytes left
[    0.670013] alg: No test for stdrng (krng)
[    0.670041] NET: Registered protocol family 38
[    0.670545] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.670736] io scheduler noop registered
[    0.670743] io scheduler deadline registered
[    0.671463] io scheduler cfq registered (default)
[    0.671471] start plist test
[    0.672857] end plist test
[    0.678034] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.678328] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.678337] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.682959] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.686833] Non-volatile memory driver v1.3
[    0.686849] Linux agpgart interface v0.103
[    0.697322] loop: module loaded
[    0.699032] Fixed MDIO Bus: probed
[    0.699599] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.699756] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.699844] uhci_hcd: USB Universal Host Controller Interface driver
[    0.700695] usbcore: registered new interface driver usbserial
[    0.700838] USB Serial support registered for generic
[    0.700955] usbcore: registered new interface driver usbserial_generic
[    0.700962] usbserial: USB Serial Driver core
[    0.701189] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.702486] mousedev: PS/2 mouse device common for all mice
[    0.743984] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.744804] rtc_cmos: probe of rtc_cmos failed with error -38
[    0.746628] device-mapper: uevent: version 1.0.3
[    0.747630] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-devel@redhat.com
[    0.748920] EFI Variables Facility v0.08 2004-May-17
[    0.750456] usbcore: registered new interface driver usbhid
[    0.750464] usbhid: USB HID core driver
[    0.751074] ip_tables: (C) 2000-2006 Netfilter Core Team
[    0.752278] TCP cubic registered
[    0.752284] Initializing XFRM netlink socket
[    0.754130] NET: Registered protocol family 10
[    0.759468] Mobile IPv6
[    0.759479] NET: Registered protocol family 17
[    0.759510] Registering the dns_resolver key type
[    0.760808] registered taskstats version 1
[    0.761891] drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
[    0.762067] Initializing network drop monitor service
[    0.765056] Freeing unused kernel memory: 3000k freed
[    0.765056] Write protecting the kernel read-only data: 12288k
[    0.776528] Freeing unused kernel memory: 1356k freed
[    0.778380] Freeing unused kernel memory: 1356k freed
[    0.784229] init[1] trap invalid opcode ip:7f2307b33895 sp:7fff96707338 error:0 in libc-2.15.so[7f23079fb000+1ac000]
[    0.785496] init used greatest stack depth: 4368 bytes left
[    0.785531] Kernel panic - not syncing: Attempted to kill init
Comment 1 Jeff Law 2012-04-20 16:09:40 EDT

*** This bug has been marked as a duplicate of bug 801650 ***

Note You need to log in before you can comment on or make changes to this bug.